using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.UserCQ.EventHandlers;

public class DeleteUserEventHandler : INotificationHandler<DeleteUserEvent>
{
    private readonly ILogger<DeleteUserEventHandler> _logger;

    public DeleteUserEventHandler(ILogger<DeleteUserEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteUserEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
